package com.bc_chat.circle.contract

import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2019/8/29
 * email：526309416@qq.com
 * desc：
 */
interface TopicDetailsContract {
    interface Presenter {
        fun comment(cid: String, cuid: String, pid: String, content: String, type: Int)

        fun like(cuid: String, type: Int)

        fun delete(comment_id: String, position: Int)
    }

    interface View : BaseContract.BaseView {
        fun commentSuccess()

        fun likeSuccess(type: Int)

        fun deleteSuccess(position: Int)
    }
}
